Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class NodeDataActionNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  info.bioinfweb.treegraph.document.nodedata.NodeDataActionNotSupportedException

All Implemented Interfaces:
  Serializable

    public class NodeDataActionNotSupportedException

extends RuntimeException

This exception is thrown by node data adapters if an unsupported operation is perfomed (e.g. storing a text value as a branch length).

Author:
  Ben St&ouol;ver
See Also:
  Serialized Form

Constructor Summary
`NodeDataActionNotSupportedException()`
`NodeDataActionNotSupportedException(String message)`
`NodeDataActionNotSupportedException(String message, Throwable cause)`
`NodeDataActionNotSupportedException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeDataActionNotSupportedException

    public NodeDataActionNotSupportedException()

### NodeDataActionNotSupportedException

    public NodeDataActionNotSupportedException(String message,
                                               Throwable cause)

### NodeDataActionNotSupportedException

    public NodeDataActionNotSupportedException(String message)

### NodeDataActionNotSupportedException

    public NodeDataActionNotSupportedException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD